Loading...
Searching...
No Matches
gtsam::InvalidArgumentThreadsafe Class Reference

## Detailed Description

Thread-safe invalid argument exception.

Inheritance diagram for gtsam::InvalidArgumentThreadsafe:

## Public Member Functions

| InvalidArgumentThreadsafe (const std::string &description)
| Construct with a string describing the exception.
Public Member Functions inherited from gtsam::ThreadsafeException< InvalidArgumentThreadsafe >
const char * | what () const noexcept override

## Additional Inherited Members

Protected Types inherited from gtsam::ThreadsafeException< InvalidArgumentThreadsafe >
typedef std::string | String
Protected Member Functions inherited from gtsam::ThreadsafeException< InvalidArgumentThreadsafe >
| ThreadsafeException ()
| Default constructor is protected - may only be created from derived classes.
| ~ThreadsafeException () noexcept override
| Default destructor doesn't have the noexcept.
Protected Attributes inherited from gtsam::ThreadsafeException< InvalidArgumentThreadsafe >
bool | dynamic_
| Whether this object was moved.
boost::optional< String > | description_
| Optional description.

The documentation for this class was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/ThreadsafeException.h